Bug 1470522 - liveliness probe of gluster pod should include gluster-blockd
liveliness probe of gluster pod should include gluster-blockd
Status: NEW
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhgs-server-container (Show other bugs)
cns-3.6
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Humble Chirammal
Prasanth
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 02:01 EDT by krishnaram Karthick
Modified: 2018-04-25 09:16 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 10:55:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description krishnaram Karthick 2017-07-13 02:01:05 EDT
Description of problem:
liveliness probe of gluster pod should include gluster-blockd along with glusterd. If the gluster-blockd is down but glusterd up, gluster block provisioning will fail although gluster pod is up. 

Version-Release number of selected component (if applicable):
cns-deploy-5.0.0-8.el7rhgs.x86_64
rhgs3/rhgs-server-rhel7:3.3.0-7

How reproducible:
Always
Comment 2 Mohamed Ashiq 2017-07-14 06:32:46 EDT
I would disagree on this. If someone wants to run only glusterd without block, This check would Fail.

I would not much worry about other services failing in the pod. Also if liveness probe failed, will bring down the pod. I don't personally like to bring down gluster pod to be down along with all the brick process if the gluster blockd is failing for some reason. 

I would like others to share their thoughts too on this.
Comment 3 Humble Chirammal 2017-08-02 10:55:17 EDT
(In reply to Mohamed Ashiq from comment #2)
> I would disagree on this. If someone wants to run only glusterd without
> block, This check would Fail.
> 
> I would not much worry about other services failing in the pod. Also if
> liveness probe failed, will bring down the pod. I don't personally like to
> bring down gluster pod to be down along with all the brick process if the
> gluster blockd is failing for some reason. 
> 
> I would like others to share their thoughts too on this.

Agreed, we dont need to put liveliness probe on gluster pod. Karthick, I am closing this bug, please feel free to reopen if you have further thoughts.
Comment 7 Raghavendra Talur 2017-11-15 09:15:42 EST
upstream tracker https://github.com/gluster/gluster-kubernetes/issues/394

Note You need to log in before you can comment on or make changes to this bug.